Package relaxngcc.codedom

## Interface CDStatement

- All Known Implementing Classes:
    `CDAssignStatement`, `CDBlock`, `CDExpressionStatement`, `CDIfStatement`, `CDLanguageSpecificString`, `CDObjectCreateExpression`, `CDReturnStatement`, `CDSwitchStatement`, `CDVariable`

      public interface CDStatement

  Abstract statement of programming languages.
  Author:
    Daisuke OKAJIMA

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `state​(CDFormatter f)` | Prints itself as a statement.

- - ### Method Detail

    - #### state

          void state​(CDFormatter f)
              throws java.io.IOException

      Prints itself as a statement.
      Throws:
        `java.io.IOException`